NX Open C++ Reference Guide
|
Represents the combination of all result options for result measure
To obtain an instance of this class use CAE::ResultMeasureCollection .
More...
Public Member Functions | |
void | SetAddBeamFillets (bool bAddBeamFillets) |
Set the option to add beam fillets for calculation of beam stresses only Created in NX8.5.0. | |
void | SetBeamFilletRadius (double beamFilletRadius) |
Set the beam fillet radius if adding beam fillets for calculation of beam results only Created in NX8.5.0. | |
void | SetBeamSection (NXOpen::CAE::Result::Section eBeamSect) |
Set the beam section for beam stress/strain results Created in NX8.5.0. | |
void | SetCalculateBeamResults (bool bCalcBeamResults) |
Set the option to calculate beam stresses for beam results only Created in NX8.5.0. | |
void | SetCoordinateSystem (NXOpen::CAE::Result::CoordinateSystem eCsys) |
Set the coordinate system for directional components Created in NX8.5.0. | |
void | SetShellSection (NXOpen::CAE::Result::Section eShellSect) |
Set the shell section for shell stress/strain results Created in NX8.5.0. | |
virtual | ~ResultMeasureResultAllOptions () |
Frees the object from memory. | |
![]() | |
void | SetAbsoluteValue (bool bAbsValue) |
Set the option to use absolute values Created in NX8.5.0. | |
void | SetOperation (NXOpen::CAE::ResultMeasure::Operation eOperation) |
Set the operation type Created in NX8.5.0. | |
void | SetUnit (NXOpen::Unit *tUnit) |
Set the unit Created in NX8.5.0. | |
virtual | ~ResultMeasureResultOptions () |
Frees the object from memory. | |
![]() | |
void * | GetHandle () |
Handle of the internal object represented by this object. | |
Represents the combination of all result options for result measure
To obtain an instance of this class use CAE::ResultMeasureCollection .
Created in NX8.5.0.
|
virtual |
Frees the object from memory.
After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.
Created in NX8.5.0.
License requirements : None
void NXOpen::CAE::ResultMeasureResultAllOptions::SetAddBeamFillets | ( | bool | bAddBeamFillets | ) |
Set the option to add beam fillets for calculation of beam stresses only
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bAddBeamFillets | baddbeamfillets |
void NXOpen::CAE::ResultMeasureResultAllOptions::SetBeamFilletRadius | ( | double | beamFilletRadius | ) |
Set the beam fillet radius if adding beam fillets for calculation of beam results only
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
beamFilletRadius | beamfilletradius |
void NXOpen::CAE::ResultMeasureResultAllOptions::SetBeamSection | ( | NXOpen::CAE::Result::Section | eBeamSect | ) |
Set the beam section for beam stress/strain results
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
eBeamSect | ebeamsect |
void NXOpen::CAE::ResultMeasureResultAllOptions::SetCalculateBeamResults | ( | bool | bCalcBeamResults | ) |
Set the option to calculate beam stresses for beam results only
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
bCalcBeamResults | bcalcbeamresults |
void NXOpen::CAE::ResultMeasureResultAllOptions::SetCoordinateSystem | ( | NXOpen::CAE::Result::CoordinateSystem | eCsys | ) |
Set the coordinate system for directional components
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
eCsys | ecsys |
void NXOpen::CAE::ResultMeasureResultAllOptions::SetShellSection | ( | NXOpen::CAE::Result::Section | eShellSect | ) |
Set the shell section for shell stress/strain results
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
eShellSect | eshellsect |